#if !defined(AFX_PRDINSTWHEREUSEDListView_H__FD781455_6DE9_4DF1_95FE_FE966EFEEA81__INCLUDED_)
#define AFX_PRDINSTWHEREUSEDListView_H__FD781455_6DE9_4DF1_95FE_FE966EFEEA81__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PrdInstWhereUsedListView.h : header file
//
#include "aplListView.h"
/////////////////////////////////////////////////////////////////////////////
// CPrdInstWhereUsedListView view

class CPrdInstWhereUsedListView : public CaplListView
{
protected:
	CPrdInstWhereUsedListView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CPrdInstWhereUsedListView)

// Attributes
public:

// Operations
public:
void UpdateTreeItem(CaplTreeItem *item);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPrdInstWhereUsedListView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CPrdInstWhereUsedListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CPrdInstWhereUsedListView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PRDINSTWHEREUSEDListView_H__FD781455_6DE9_4DF1_95FE_FE966EFEEA81__INCLUDED_)
